```sh
$ sudo docker build -t koel .
$ sudo docker run --rm --name koel-db --interactive --tty \
    --env POSTGRES_USER=koel --env POSTGRES_PASSWORD=secret \
    --network koel --security-opt=no-new-privileges \
    --cap-drop=all --cap-add=chown --cap-add=setuid --cap-add=setgid --cap-add=fowner \
    postgres:10.5-alpine
$ sudo docker run --rm --interactive --tty --network koel --publish=8000:8000 \
    --security-opt=no-new-privileges --cap-drop=all koel
/koel # php artisan koel:init
...
App key exists -- skipping
...
could not find driver

Koel cannot connect to the database. Let's set it up.

 Your DB driver of choice [MySQL/MariaDB]:
  [mysql     ] MySQL/MariaDB
  [pgsql     ] PostgreSQL
  [sqlsrv    ] SQL Server
  [sqlite-e2e] SQLite
 > pgsql

 DB host:
 > koel-db

 DB port (leave empty for default) []:
 > 5432

 DB name:
 > koel

 DB user:
 > koel

 DB password []:
 > secret

Migrating database
Let's create the admin account.

 Your name:
 > Fabian Peter Hammerle

 Your email address:
 > fabian+koel@hammerle.me

 Your desired password:
 >

 Again, just to make sure:
 >

Seeding initial data
The absolute path to your media directory. If this is skipped (left blank) now, you can set it later via the web interface.

 Media path []:
 >

Compiling front-end stuff
sh: yarn: not found

🎆  Success! Koel can now be run from localhost with `php artisan serve`.
Again, for more configuration guidance, refer to
📙  https://koel.phanan.net/docs
or open the .env file in the root installation folder.
Thanks for using Koel. You rock!

/koel # php artisan serve --host=0.0.0.0
Laravel development server started: <http://0.0.0.0:8000>
PHP 7.2.10 Development Server started at Sat Sep 15 17:15:08 2018
```

in browser:

> ErrorException thrown with message "file_get_contents(/koel/public/mix-manifest.json): failed to open stream: No such file or directory (View: /koel/resources/views/index.blade.php)"
>
> Stacktrace:
> #42 ErrorException in /koel/app/Application.php:43
> #41 ErrorException in /koel/app/Application.php:43
> #40 file_get_contents in /koel/app/Application.php:43
> #39 App\Application:rev in /koel/vendor/laravel/framework/src/Illuminate/Support/Facades/Facade.php:223
> #38 Illuminate\Support\Facades\Facade:__callStatic in /koel/storage/framework/views/7cf16e255af1fef3fe15fb702f8b95c431880e2f.php:21
> #37 include in /koel/vendor/laravel/framework/src/Illuminate/View/Engines/PhpEngine.php:43
> #36 Illuminate\View\Engines\PhpEngine:evaluatePath in /koel/vendor/laravel/framework/src/Illuminate/View/Engines/CompilerEngine.php:59
> #35 Illuminate\View\Engines\CompilerEngine:get in /koel/vendor/laravel/framework/src/Illuminate/View/View.php:142
> #34 Illuminate\View\View:getContents in /koel/vendor/laravel/framework/src/Illuminate/View/View.php:125
> #33 Illuminate\View\View:renderContents in /koel/vendor/laravel/framework/src/Illuminate/View/View.php:90
> #32 Illuminate\View\View:render in /koel/vendor/laravel/framework/src/Illuminate/Http/Response.php:42
> #31 Illuminate\Http\Response:setContent in /koel/vendor/symfony/http-foundation/Response.php:202
> #30 Symfony\Component\HttpFoundation\Response:__construct in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:733
> #29 Illuminate\Routing\Router:toResponse in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:705
> #28 Illuminate\Routing\Router:prepareResponse in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:665
> #27 Illuminate\Routing\Router:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:30
> #26 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:104
> #25 Illuminate\Pipeline\Pipeline:then in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:667
> #24 Illuminate\Routing\Router:runRouteWithinStack in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:642
> #23 Illuminate\Routing\Router:runRoute in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:608
> #22 Illuminate\Routing\Router:dispatchToRoute in /koel/vendor/laravel/framework/src/Illuminate/Routing/Router.php:597
> #21 Illuminate\Routing\Router:dispatch in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php:176
> #20 Illuminate\Foundation\Http\Kernel:Illuminate\Foundation\Http\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:30
> #19 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php:31
> #18 Illuminate\Foundation\Http\Middleware\TransformsRequest:handle in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:151
> #17 Illuminate\Pipeline\Pipeline:Illuminate\Pipeline\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:53
> #16 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php:31
> #15 Illuminate\Foundation\Http\Middleware\TransformsRequest:handle in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:151
> #14 Illuminate\Pipeline\Pipeline:Illuminate\Pipeline\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:53
> #13 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/ValidatePostSize.php:27
> #12 Illuminate\Foundation\Http\Middleware\ValidatePostSize:handle in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:151
> #11 Illuminate\Pipeline\Pipeline:Illuminate\Pipeline\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:53
> #10 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/app/Http/Middleware/UseDifferentConfigIfE2E.php:22
> #9 App\Http\Middleware\UseDifferentConfigIfE2E:handle in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:151
> #8 Illuminate\Pipeline\Pipeline:Illuminate\Pipeline\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:53
> #7 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/CheckForMaintenanceMode.php:62
> #6 Illuminate\Foundation\Http\Middleware\CheckForMaintenanceMode:handle in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:151
> #5 Illuminate\Pipeline\Pipeline:Illuminate\Pipeline\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php:53
> #4 Illuminate\Routing\Pipeline:Illuminate\Routing\{closure} in /koel/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php:104
> #3 Illuminate\Pipeline\Pipeline:then in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php:151
> #2 Illuminate\Foundation\Http\Kernel:sendRequestThroughRouter in /koel/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php:116
> #1 Illuminate\Foundation\Http\Kernel:handle in /koel/index.php:52
> #0 require_once in /koel/server.php:19
